Create processing activity
curl --request POST \
--url https://databunkerpro.myorg.com/v2/ProcessingActivityCreate \
--header 'Content-Type: application/json' \
--header 'X-Bunker-Token: <api-key>' \
--data '
{
"activity": "<string>",
"title": "<string>",
"script": "<string>",
"fulldesc": "<string>",
"applicableto": "<string>",
"request_metadata": {}
}
'import requests
url = "https://databunkerpro.myorg.com/v2/ProcessingActivityCreate"
payload = {
"activity": "<string>",
"title": "<string>",
"script": "<string>",
"fulldesc": "<string>",
"applicableto": "<string>",
"request_metadata": {}
}
headers = {
"X-Bunker-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Bunker-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activity: '<string>',
title: '<string>',
script: '<string>',
fulldesc: '<string>',
applicableto: '<string>',
request_metadata: {}
})
};
fetch('https://databunkerpro.myorg.com/v2/ProcessingActivityCreate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"status": "error",
"message": "Missing API request parameters: profile"
}{
"status": "error",
"message": "Access denied"
}{
"status": "error",
"message": "Duplicate index: email"
}{
"status": "error",
"message": "Internal error"
}Processing Activity Management
Create processing activity
Creates a new processing activity
POST
/
v2
/
ProcessingActivityCreate
Create processing activity
Authorizations
API token for authentication
Body
application/json
Unique identifier for the processing activity
Title of the processing activity
Script or description of the activity
Full description of the processing activity
Who this activity applies to
Additional metadata for the request
Response
Processing activity created successfully
Example:
"ok"
⌘I